<div class="navbar navbar-expand-lg bg-light mb-5">
  <div class="container-fluid">
    <a class="navbar-brand col-6">name</a>
    <li class="nav-item dropdown list-unstyled col-2">
      <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
        Sort by
      </a>
      <ul class="dropdown-menu">
        <li><a (click)="setSort('name')" class="dropdown-item">By name</a></li>
        <li><a (click)="setSort('createdAt')" class="dropdown-item">By date of creation</a></li>
        <li><a (click)="setSort('todo')" class="dropdown-item">By number of new tasks</a></li>
        <li><a (click)="setSort('inProgress')" class="dropdown-item">By number of tasks in progress</a></li>
        <li><a (click)="setSort('done')" class="dropdown-item">By number of done tasks</a></li>
      </ul>
      <button type="button" class="btn btn-info mx-1" (click)="setSortDirection('asc')">asc</button>
      <button type="button" class="btn btn-info" (click)="setSortDirection('desc')">desc</button>
    </li>
    <div class="input-group mb-3" id="inputGroup">
      <input type="text" class="form-control" placeholder="Filtering by board name" aria-label="Username"
             (input)="filter()" [(ngModel)]="nameFilterString">
      <span class="input-group-text">or</span>
      <input type="text" class="form-control" placeholder="Filtering by task name" aria-label="Server"
             (input)="filter()" [(ngModel)]="taskFilterString">
    </div>

  </div>
</div>
<div class="mx-5 d-flex flex-row flex-wrap">
  <div class="card col-2 addBoardButton" (click)="setAddEditOpen(true)">
    <div class="card-body d-flex align-items-center justify-content-center">
      <i class="fa-solid fa-plus" style="font-size: 100px; color: #666666"></i>
    </div>
  </div>
  <div class="d-flex flex-row flex-wrap" *ngFor="let board of filteredBoardsList | orderBy: selectedSortField : sortDirection : sortType">
    <app-dashboard-item [item]="board" (editClick)="setActiveBoard($event)" class="p-0 col-2"></app-dashboard-item>
  </div>
</div>
<app-add-board *ngIf="isAddEditOpened" [activeBoard]="activeBoard" [dashboards]="boardsList" (onClose)="setAddEditOpen(false)"></app-add-board>
